FIX::UtcTimeOnlyField Class Reference

Field that contains a UTC time value. More...

`#include <Field.h>`

Inheritance diagram for FIX::UtcTimeOnlyField:
[legend]
Collaboration diagram for FIX::UtcTimeOnlyField:
[legend]

## Public Member Functions

| UtcTimeOnlyField (int field, const UtcTimeOnly &data, bool showMilliseconds=false)
| UtcTimeOnlyField (int field, bool showMilliseconds=false)
void | setValue (const UtcTimeOnly &value)
UtcTimeOnly | getValue () const throw ( IncorrectDataFormat )
| operator UtcTimeOnly () const
bool | operator< (const UtcTimeOnlyField &rhs) const
bool | operator== (const UtcTimeOnlyField &rhs) const
bool | operator!= (const UtcTimeOnlyField &rhs) const
Public Member Functions inherited from FIX::FieldBase
| FieldBase (int field, const std::string &string)
virtual | ~FieldBase ()
void | setField (int field)
void | setString (const std::string &string)
int | getField () const
| Get the fields integer tag. More...
const std::string & | getString () const
| Get the string representation of the fields value. More...
const std::string & | getFixString () const
| Get the string representation of the Field (i.e.) 55=MSFT[SOH]. More...
size_t | getLength () const
| Get the length of the fields string representation. More...
int | getTotal () const
| Get the total value the fields characters added together. More...
bool | operator< (const FieldBase &field) const
| Compares fields based on their tag numbers. More...

## Detailed Description

Field that contains a UTC time value.

Definition at line 446 of file Field.h.

## Constructor & Destructor Documentation

## UtcTimeOnlyField() [1/2]

FIX::UtcTimeOnlyField::UtcTimeOnlyField | ( | int | field,
|  | const UtcTimeOnly & | data,
|  | bool | showMilliseconds = `false`
| ) |  |

inline explicit

Definition at line 449 of file Field.h.

: FieldBase( field, UtcTimeOnlyConvertor::convert( data, showMilliseconds ) ) {}
FIX::UtcTimeOnlyConvertor::convert
static std::string convert(const UtcTimeOnly &value, bool showMilliseconds=false)
Definition: FieldConvertors.h:689
FIX::FieldBase::FieldBase
FieldBase(int field, std::string::const_iterator valueStart, std::string::const_iterator valueEnd, std::string::const_iterator tagStart, std::string::const_iterator tagEnd)
Constructor which also calculates field metrics.
Definition: Field.h:76

## UtcTimeOnlyField() [2/2]

FIX::UtcTimeOnlyField::UtcTimeOnlyField | ( | int | field,
|  | bool | showMilliseconds = `false`
| ) |  |

inline

Definition at line 451 of file Field.h.

: FieldBase( field, UtcTimeOnlyConvertor::convert( UtcTimeOnly(), showMilliseconds ) ) {}
FIX::UtcTimeOnlyConvertor::convert
static std::string convert(const UtcTimeOnly &value, bool showMilliseconds=false)
Definition: FieldConvertors.h:689
FIX::TYPE::UtcTimeOnly
Definition: FieldTypes.h:684
FIX::FieldBase::FieldBase
FieldBase(int field, std::string::const_iterator valueStart, std::string::const_iterator valueEnd, std::string::const_iterator tagStart, std::string::const_iterator tagEnd)
Constructor which also calculates field metrics.
Definition: Field.h:76

## Member Function Documentation

## getValue()

UtcTimeOnly FIX::UtcTimeOnlyField::getValue | ( |  | ) | const
throw | ( | IncorrectDataFormat
| ) |  |

inline

Definition at line 456 of file Field.h.

References FIX::UtcTimeOnlyConvertor::convert(), FIX::FieldBase::getField(), and FIX::FieldBase::getString().

Referenced by operator!=(), operator<(), and operator==().

{ try
{ return UtcTimeOnlyConvertor::convert( getString() ); }
catch( FieldConvertError& )
{ throw IncorrectDataFormat( getField(), getString() ); } }
FIX::UtcTimeOnlyConvertor::convert
static std::string convert(const UtcTimeOnly &value, bool showMilliseconds=false)
Definition: FieldConvertors.h:689
FIX::FieldBase::getString
const std::string & getString() const
Get the string representation of the fields value.
Definition: Field.h:112
FIX::FieldBase::getField
int getField() const
Get the fields integer tag.
Definition: Field.h:108

## operator UtcTimeOnly()

FIX::UtcTimeOnlyField::operator UtcTimeOnly | ( |  | ) | const

inline

Definition at line 461 of file Field.h.

{ return getValue(); }
FIX::UtcTimeOnlyField::getValue
UtcTimeOnly getValue() const
Definition: Field.h:456

## operator!=()

bool FIX::UtcTimeOnlyField::operator!= | ( | const UtcTimeOnlyField & | rhs | ) | const

inline

Definition at line 468 of file Field.h.

References getValue().

{ return getValue() != rhs.getValue(); }
FIX::UtcTimeOnlyField::getValue
UtcTimeOnly getValue() const
Definition: Field.h:456

## operator<()

bool FIX::UtcTimeOnlyField::operator< | ( | const UtcTimeOnlyField & | rhs | ) | const

inline

Definition at line 464 of file Field.h.

References getValue().

{ return getValue() < rhs.getValue(); }
FIX::UtcTimeOnlyField::getValue
UtcTimeOnly getValue() const
Definition: Field.h:456

## operator==()

bool FIX::UtcTimeOnlyField::operator== | ( | const UtcTimeOnlyField & | rhs | ) | const

inline

Definition at line 466 of file Field.h.

References getValue().

{ return getValue() == rhs.getValue(); }
FIX::UtcTimeOnlyField::getValue
UtcTimeOnly getValue() const
Definition: Field.h:456

## setValue()

void FIX::UtcTimeOnlyField::setValue | ( | const UtcTimeOnly & | value | ) |

inline

Definition at line 454 of file Field.h.

References FIX::UtcTimeOnlyConvertor::convert(), and FIX::FieldBase::setString().

{ setString( UtcTimeOnlyConvertor::convert( value ) ); }
FIX::UtcTimeOnlyConvertor::convert
static std::string convert(const UtcTimeOnly &value, bool showMilliseconds=false)
Definition: FieldConvertors.h:689
FIX::FieldBase::setString
void setString(const std::string &string)
Definition: Field.h:100

The documentation for this class was generated from the following file:

- Field.h